import 'package:flutter/material.dart';

class ExamTitle extends StatelessWidget {
  const ExamTitle({
    super.key,
    required this.titleType,
    this.label,
  });

  final String? label;
  final String titleType;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.only(
        top: 20,
        left: 30,
        bottom: 15,
      ),
      child: RichText(
        text: TextSpan(
          text: label ?? '',
          style: const TextStyle(
            fontSize: 25,
            color: Colors.black,
          ),
          children: [
            TextSpan(
              text: titleType,
              style: const TextStyle(fontSize: 25, color: Colors.grey),
            ),
          ],
        ),
      ),
    );
  }
}
